Package Scientific :: Package Geometry

[frames] | no frames]

# Package Geometry

Geometrical quantities and objects

The geometrical quantities are vectors and tensors, transformations, and quaternions as descriptions of rotations. There are also tensor fields, which were included here (rather than in Scientific.Functions) because they are most often used in a geometric context. Finally, there are classes for elementary geometrical objects such as spheres and planes.

Submodules

- Scientific.Geometry.Objects3D: Geometrical objects in 3D space
- Scientific.Geometry.Quaternion: Quaternions as representations of rotations in 3D space
- Scientific.Geometry.TensorAnalysis: Vector and tensor fields with derivatives
- Scientific.Geometry.Transformation: Linear transformations in 3D space

Classes
| Tensor Tensor in 3D space
| Vector Vector in 3D space

Variables
| delta = `Tensor([[1 0`...``
| epsilon = `Tensor([[[ 0 0 `...``
| ex = `Vector(1.000000,0.000000,0.000000)`
| ey = `Vector(0.000000,1.000000,0.000000)`
| ez = `Vector(0.000000,0.000000,1.000000)`
| nullVector = `Vector(0.000000,0.000000,0.000000)`

Variables Details

### delta

Value:

      Tensor([[1 0 0]
       [0 1 0]
       [0 0 1]])

### epsilon

Value:

      Tensor([[[ 0  0  0]
        [ 0  0  1]
        [ 0 -1  0]]

       [[ 0  0 -1]
        [ 0  0  0]
        [ 1  0  0]]

      ...